﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;
using Telerik.Web.UI;

namespace VisualWebPartProject3.VisualWebPart1
{
    [ToolboxItemAttribute(false)]
    public class VisualWebPart1 : WebPart
    {
        // Visual Studio might automatically update this path when you change the Visual Web Part project item.
        private const string _ascxPath = @"~/_CONTROLTEMPLATES/VisualWebPartProject3/VisualWebPart1/VisualWebPart1UserControl.ascx";

        protected override void CreateChildControls()
        {
            Control control = Page.LoadControl(_ascxPath);
            Controls.Add(control);
        }

        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);

            RadAjaxManager ajaxManager = RadAjaxManager.GetCurrent(this.Page);
           if (ajaxManager == null)
           {
               ajaxManager = new RadAjaxManager();
               ajaxManager.ID = "RadAjaxManager1";
               Controls.Add(ajaxManager);
               this.Page.Items.Add(typeof(RadAjaxManager), ajaxManager);
           } 
        }
    }
}
